Page MenuHomePhabricator

Upgrade and restart s2 and s8 (wikidatawiki) primary database masters: Tue 19th May
Closed, ResolvedPublic

Description

We need to upgrade and restart s2 and s8 primary database masters as part of: T239791

The following wikis will go read-only:

s2:

bgwiki
bgwiktionary
cswiki
enwikiquote
enwiktionary
eowiki
fiwiki
idwiki
itwiki
nlwiki
nowiki
plwiki
ptwiki
svwiki
thwiki
trwiki
zhwiki

s8:
wikidatawiki
While s8 is on read-only we will also drop T248086_wb_terms T248086

Impact: That wikis will go read-only for around 15 minutes (hopefully a lot less). Reads will not be impacted
When: Tue 19th May at 05:00 AM UTC

s2 primary db master: db1122
s8 primary db master: db1109

The read only window request is at: T251984

Event Timeline

Restricted Application added subscribers: jeblad, Cosine02, Aklapper. · View Herald TranscriptMay 6 2020, 7:25 AM
Marostegui moved this task from Next to In progress on the DBA board.

Mentioned in SAL (#wikimedia-operations) [2020-05-18T11:52:42Z] <marostegui> Install 10.1.43-2 on db1122 and db1109 - T251981

package updated on db1122 and db1109.

Procedure:

Maintenance day:

  • Silence all hosts in s2 and s8
  • Set read only on s2 and s8:
dbctl --scope eqiad section s2 ro "Maintenance on s2 and s8 T251981" && dbctl --scope eqiad section s8 ro "Maintenance on s2 and s8 T251981"  && dbctl config commit -m "Set s2 and s8 as read-only for maintenance T251981"
  • Confirm read only on the wikis
  • Set read-only on the masters on mysql: db1122 db1109
  • Drop T248086_wb_terms table on s8 master
  • Restart mysql on both hosts db1122 db1109
  • Confirm the slaves are connected
  • Run puppet
  • Remove read only:
dbctl --scope eqiad section s2 rw  && dbctl --scope eqiad section s8 rw && dbctl config commit -m "Set s2 and s8 as read-only=off for maintenance T251981"
  • Confirm writes can go through
  • Run mysql_upgrade db1122 db1109
  • Close task

Mentioned in SAL (#wikimedia-operations) [2020-05-19T05:00:44Z] <marostegui@cumin1001> dbctl commit (dc=all): 'Set s2 and s8 as read-only for maintenance T251981', diff saved to https://phabricator.wikimedia.org/P11226 and previous config saved to /var/cache/conftool/dbconfig/20200519-050043-marostegui.json

Mentioned in SAL (#wikimedia-operations) [2020-05-19T05:03:47Z] <marostegui@cumin1001> dbctl commit (dc=all): 'Set s2 and s8 as read-only=off for maintenance T251981', diff saved to https://phabricator.wikimedia.org/P11227 and previous config saved to /var/cache/conftool/dbconfig/20200519-050346-marostegui.json

Marostegui closed this task as Resolved.May 19 2020, 5:06 AM

This was done.
RO starts: 05:00:44
RO stops: 05:03:47